Package ghidra.app.util.bin.format.omf

# Class OmfString

java.lang.Object
ghidra.app.util.bin.format.omf.OmfString

All Implemented Interfaces:
  `StructConverter`

public class OmfString extends Object implements StructConverter
An variable length OMF string

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OmfString(int length, String str)`
  Creates a new `OmfString`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDataTypeSize()`
  Returns the length (in bytes) of this data type.
  `int`
  `length()`
  Returns the length of the string.
  `String`
  `str()`
  Returns the string.
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OmfString

    public OmfString(int length, String str)
    Creates a new `OmfString`
    Parameters:
      `length` - The length of the string
      `str` - The string

- ## Method Details

  - ### length

    public int length()
    Returns the length of the string.
    Returns:
      the length of the string

  - ### str

    public String str()
    Returns the string.
    Returns:
      the string

  - ### getDataTypeSize

    public int getDataTypeSize()
    Returns the length (in bytes) of this data type.
    Returns:
      the length (in bytes) of this data type

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`